[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listElements" label="Elements"]]
  <li class="breadcrumb-item">
    <semantic-query
      query='SELECT ?label WHERE
        {
          ?? ecrm:P3_has_note ?label .
         }'
      template='{{#each bindings}}
          <semantic-link uri=":viewElement" urlqueryparam-elementiri="[[this]]">
            {{label.value}}
          </semantic-link>
        </li>{{/each}}'
      >
    </semantic-query>
  </li>
</ol>

<semantic-query
  query="SELECT ?label WHERE { ?? ecrm:P3_has_note ?label }"
  template="{{#each bindings}}<h2>{{label.value}}</h2>{{/each}}"
></semantic-query>

<semantic-form
  fields="[[fieldDefinitions
        element_record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/element_record_type"
        information_object_record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/information_object_record_type"
        label="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/short_title"
  ]]"
  browser-persistence="false"
  persistence='LDP'
>  

  <semantic-form-text-input for="label">
  </semantic-form-text-input>

  <span class="disabled hidden-field">
    <semantic-form-text-input for="element_record_type"></semantic-form-text-input>
    <semantic-form-text-input for="information_object_record_type"></semantic-form-text-input>
  </span>

  <div class="text-right form-submit">
      <button name="submit" class="btn btn-primary btn-md">
        Save
      </button>
  </div>

  <div>
    <semantic-link
        uri=":deleteResource"
        urlqueryparam-resiri="[[this]]"
        urlqueryparam-back="[[this]]"
        urlqueryparam-backtitle="Elements"
        urlqueryparam-redirect=":listElements"
      >
        Delete Element
      </semantic-link>
  </div>

</semantic-form>

[[> :identifier]]

[[> :footer]]
